Index: binaries/data/mods/public/gui/session/selection_details.js
===================================================================
--- binaries/data/mods/public/gui/session/selection_details.js	(Revision 14461)
+++ binaries/data/mods/public/gui/session/selection_details.js	(Arbeitskopie)
@@ -1,13 +1,13 @@
 function layoutSelectionSingle()
 {
-	getGUIObjectByName("detailsAreaSingle").hidden = false;
-	getGUIObjectByName("detailsAreaMultiple").hidden = true;
+	Engine.GetGUIObjectByName("detailsAreaSingle").hidden = false;
+	Engine.GetGUIObjectByName("detailsAreaMultiple").hidden = true;
 }
 
 function layoutSelectionMultiple()
 {
-	getGUIObjectByName("detailsAreaMultiple").hidden = false;
-	getGUIObjectByName("detailsAreaSingle").hidden = true;
+	Engine.GetGUIObjectByName("detailsAreaMultiple").hidden = false;
+	Engine.GetGUIObjectByName("detailsAreaSingle").hidden = true;
 }
 
 // Fills out information that most entities have
@@ -36,48 +36,48 @@
 	// Rank
 	if (entState.identity && entState.identity.rank && entState.identity.classes)
 	{
-		getGUIObjectByName("rankIcon").tooltip = entState.identity.rank + " Rank";
-		getGUIObjectByName("rankIcon").sprite = getRankIconSprite(entState);					
-		getGUIObjectByName("rankIcon").hidden = false;
+		Engine.GetGUIObjectByName("rankIcon").tooltip = entState.identity.rank + " Rank";
+		Engine.GetGUIObjectByName("rankIcon").sprite = getRankIconSprite(entState);					
+		Engine.GetGUIObjectByName("rankIcon").hidden = false;
 	}
 	else
 	{
-		getGUIObjectByName("rankIcon").hidden = true;
-		getGUIObjectByName("rankIcon").tooltip = "";
+		Engine.GetGUIObjectByName("rankIcon").hidden = true;
+		Engine.GetGUIObjectByName("rankIcon").tooltip = "";
 	}
 								
 	// Hitpoints
 	if (entState.hitpoints)
 	{
-		var unitHealthBar = getGUIObjectByName("healthBar");
+		var unitHealthBar = Engine.GetGUIObjectByName("healthBar");
 		var healthSize = unitHealthBar.size;
 		healthSize.rright = 100*Math.max(0, Math.min(1, entState.hitpoints / entState.maxHitpoints));
 		unitHealthBar.size = healthSize;
 
 		var hitpoints = Math.ceil(entState.hitpoints) + " / " + entState.maxHitpoints;
-		getGUIObjectByName("healthStats").caption = hitpoints;
-		getGUIObjectByName("healthSection").hidden = false;
+		Engine.GetGUIObjectByName("healthStats").caption = hitpoints;
+		Engine.GetGUIObjectByName("healthSection").hidden = false;
 	}
 	else
 	{
-		getGUIObjectByName("healthSection").hidden = true;
+		Engine.GetGUIObjectByName("healthSection").hidden = true;
 	}
 	
 	// TODO: Stamina
 	var player = Engine.GetPlayerID();
 	if (entState.stamina && (entState.player == player || g_DevSettings.controlAll))
 	{
-		getGUIObjectByName("staminaSection").hidden = false;
+		Engine.GetGUIObjectByName("staminaSection").hidden = false;
 	}
 	else
 	{
-		getGUIObjectByName("staminaSection").hidden = true;
+		Engine.GetGUIObjectByName("staminaSection").hidden = true;
 	}
 
 	// Experience
 	if (entState.promotion)
 	{
-		var experienceBar = getGUIObjectByName("experienceBar");
+		var experienceBar = Engine.GetGUIObjectByName("experienceBar");
 		var experienceSize = experienceBar.size;
 		experienceSize.rtop = 100 - (100 * Math.max(0, Math.min(1, 1.0 * +entState.promotion.curr / +entState.promotion.req)));
 		experienceBar.size = experienceSize;
@@ -85,12 +85,12 @@
 		var experience = "[font=\"serif-bold-13\"]Experience: [/font]" + Math.floor(entState.promotion.curr);
 		if (entState.promotion.curr < entState.promotion.req)
 			experience += " / " + entState.promotion.req;
-		getGUIObjectByName("experience").tooltip = experience;
-		getGUIObjectByName("experience").hidden = false;
+		Engine.GetGUIObjectByName("experience").tooltip = experience;
+		Engine.GetGUIObjectByName("experience").hidden = false;
 	}
 	else
 	{
-		getGUIObjectByName("experience").hidden = true;
+		Engine.GetGUIObjectByName("experience").hidden = true;
 	}
 
 	// Resource stats
@@ -102,25 +102,25 @@
 		if (resourceType == "treasure")
 			resourceType = entState.resourceSupply.type["specific"];
 
-		var unitResourceBar = getGUIObjectByName("resourceBar");
+		var unitResourceBar = Engine.GetGUIObjectByName("resourceBar");
 		var resourceSize = unitResourceBar.size;
 
 		resourceSize.rright = entState.resourceSupply.isInfinite ? 100 :
 						100 * Math.max(0, Math.min(1, +entState.resourceSupply.amount / +entState.resourceSupply.max));
 		unitResourceBar.size = resourceSize;
-		getGUIObjectByName("resourceLabel").caption = toTitleCase(resourceType) + ":";
-		getGUIObjectByName("resourceStats").caption = resources;
+		Engine.GetGUIObjectByName("resourceLabel").caption = toTitleCase(resourceType) + ":";
+		Engine.GetGUIObjectByName("resourceStats").caption = resources;
 
 		if (entState.hitpoints)
-			getGUIObjectByName("resourceSection").size = getGUIObjectByName("staminaSection").size;
+			Engine.GetGUIObjectByName("resourceSection").size = Engine.GetGUIObjectByName("staminaSection").size;
 		else
-			getGUIObjectByName("resourceSection").size = getGUIObjectByName("healthSection").size;
+			Engine.GetGUIObjectByName("resourceSection").size = Engine.GetGUIObjectByName("healthSection").size;
 
-		getGUIObjectByName("resourceSection").hidden = false;
+		Engine.GetGUIObjectByName("resourceSection").hidden = false;
 	}
 	else
 	{
-		getGUIObjectByName("resourceSection").hidden = true;
+		Engine.GetGUIObjectByName("resourceSection").hidden = true;
 	}
 
 	// Resource carrying
@@ -129,84 +129,84 @@
 		// We should only be carrying one resource type at once, so just display the first
 		var carried = entState.resourceCarrying[0];
 
-		getGUIObjectByName("resourceCarryingIcon").hidden = false;
-		getGUIObjectByName("resourceCarryingText").hidden = false;
-		getGUIObjectByName("resourceCarryingIcon").sprite = "stretched:session/icons/resources/"+carried.type+".png";
-		getGUIObjectByName("resourceCarryingText").caption = carried.amount + " / " + carried.max;
-		getGUIObjectByName("resourceCarryingIcon").tooltip = "";
+		Engine.GetGUIObjectByName("resourceCarryingIcon").hidden = false;
+		Engine.GetGUIObjectByName("resourceCarryingText").hidden = false;
+		Engine.GetGUIObjectByName("resourceCarryingIcon").sprite = "stretched:session/icons/resources/"+carried.type+".png";
+		Engine.GetGUIObjectByName("resourceCarryingText").caption = carried.amount + " / " + carried.max;
+		Engine.GetGUIObjectByName("resourceCarryingIcon").tooltip = "";
 	}
 	// Use the same indicators for traders
 	else if (entState.trader && entState.trader.goods.amount)
 	{
-		getGUIObjectByName("resourceCarryingIcon").hidden = false;
-		getGUIObjectByName("resourceCarryingText").hidden = false;
-		getGUIObjectByName("resourceCarryingIcon").sprite = "stretched:session/icons/resources/"+entState.trader.goods.type+".png";
+		Engine.GetGUIObjectByName("resourceCarryingIcon").hidden = false;
+		Engine.GetGUIObjectByName("resourceCarryingText").hidden = false;
+		Engine.GetGUIObjectByName("resourceCarryingIcon").sprite = "stretched:session/icons/resources/"+entState.trader.goods.type+".png";
 		var totalGain = entState.trader.goods.amount.traderGain;
 		if (entState.trader.goods.amount.market1Gain)
 			totalGain += entState.trader.goods.amount.market1Gain;
 		if (entState.trader.goods.amount.market2Gain)
 			totalGain += entState.trader.goods.amount.market2Gain;
-		getGUIObjectByName("resourceCarryingText").caption = totalGain;
-		getGUIObjectByName("resourceCarryingIcon").tooltip = "Gain: " + getTradingTooltip(entState.trader.goods.amount);
+		Engine.GetGUIObjectByName("resourceCarryingText").caption = totalGain;
+		Engine.GetGUIObjectByName("resourceCarryingIcon").tooltip = "Gain: " + getTradingTooltip(entState.trader.goods.amount);
 	}
 	// And for number of workers
 	else if (entState.foundation)
 	{
-		getGUIObjectByName("resourceCarryingIcon").hidden = false;
-		getGUIObjectByName("resourceCarryingText").hidden = false;
-		getGUIObjectByName("resourceCarryingIcon").sprite = "stretched:session/icons/repair.png";
-		getGUIObjectByName("resourceCarryingText").caption = entState.foundation.numBuilders + "    ";
-		getGUIObjectByName("resourceCarryingIcon").tooltip = "Number of builders";
+		Engine.GetGUIObjectByName("resourceCarryingIcon").hidden = false;
+		Engine.GetGUIObjectByName("resourceCarryingText").hidden = false;
+		Engine.GetGUIObjectByName("resourceCarryingIcon").sprite = "stretched:session/icons/repair.png";
+		Engine.GetGUIObjectByName("resourceCarryingText").caption = entState.foundation.numBuilders + "    ";
+		Engine.GetGUIObjectByName("resourceCarryingIcon").tooltip = "Number of builders";
 	}
 	else if (entState.resourceSupply && (!entState.resourceSupply.killBeforeGather || !entState.hitpoints))
 	{
-		getGUIObjectByName("resourceCarryingIcon").hidden = false;
-		getGUIObjectByName("resourceCarryingText").hidden = false;
-		getGUIObjectByName("resourceCarryingIcon").sprite = "stretched:session/icons/repair.png";
-		getGUIObjectByName("resourceCarryingText").caption = entState.resourceSupply.gatherers.length + " / " + entState.resourceSupply.maxGatherers + "    ";
-		getGUIObjectByName("resourceCarryingIcon").tooltip = "Current/max gatherers";
+		Engine.GetGUIObjectByName("resourceCarryingIcon").hidden = false;
+		Engine.GetGUIObjectByName("resourceCarryingText").hidden = false;
+		Engine.GetGUIObjectByName("resourceCarryingIcon").sprite = "stretched:session/icons/repair.png";
+		Engine.GetGUIObjectByName("resourceCarryingText").caption = entState.resourceSupply.gatherers.length + " / " + entState.resourceSupply.maxGatherers + "    ";
+		Engine.GetGUIObjectByName("resourceCarryingIcon").tooltip = "Current/max gatherers";
 	}
 	else
 	{
-		getGUIObjectByName("resourceCarryingIcon").hidden = true;
-		getGUIObjectByName("resourceCarryingText").hidden = true;
+		Engine.GetGUIObjectByName("resourceCarryingIcon").hidden = true;
+		Engine.GetGUIObjectByName("resourceCarryingText").hidden = true;
 	}
 
 	// Set Player details
-	getGUIObjectByName("specific").caption = specificName;
-	getGUIObjectByName("player").caption = playerName;
-	getGUIObjectByName("playerColorBackground").sprite = "colour: " + playerColor;
+	Engine.GetGUIObjectByName("specific").caption = specificName;
+	Engine.GetGUIObjectByName("player").caption = playerName;
+	Engine.GetGUIObjectByName("playerColorBackground").sprite = "colour: " + playerColor;
 	
 	if (genericName)
 	{
-		getGUIObjectByName("generic").caption = "(" + genericName + ")";
+		Engine.GetGUIObjectByName("generic").caption = "(" + genericName + ")";
 	}
 	else
 	{
-		getGUIObjectByName("generic").caption = "";
+		Engine.GetGUIObjectByName("generic").caption = "";
 
 	}
 
 	if ("Gaia" != civName)
 	{
-		getGUIObjectByName("playerCivIcon").sprite = "stretched:grayscale:" + civEmblem;
-		getGUIObjectByName("player").tooltip = civName;
+		Engine.GetGUIObjectByName("playerCivIcon").sprite = "stretched:grayscale:" + civEmblem;
+		Engine.GetGUIObjectByName("player").tooltip = civName;
 	}
 	else
 	{
-		getGUIObjectByName("playerCivIcon").sprite = "";
-		getGUIObjectByName("player").tooltip = "";
+		Engine.GetGUIObjectByName("playerCivIcon").sprite = "";
+		Engine.GetGUIObjectByName("player").tooltip = "";
 	}
 
 	// Icon image
 	if (template.icon)
 	{
-		getGUIObjectByName("icon").sprite = "stretched:session/portraits/" + template.icon;
+		Engine.GetGUIObjectByName("icon").sprite = "stretched:session/portraits/" + template.icon;
 	}
 	else
 	{
 		// TODO: we should require all entities to have icons, so this case never occurs
-		getGUIObjectByName("icon").sprite = "bkFillBlack";
+		Engine.GetGUIObjectByName("icon").sprite = "bkFillBlack";
 	}
 
 	// Attack and Armor
@@ -236,7 +236,7 @@
 		}
 	}
 	
-	getGUIObjectByName("attackAndArmorStats").tooltip = attack + "\n[font=\"serif-bold-13\"]Armor:[/font] " + armorTypeDetails(entState.armour);
+	Engine.GetGUIObjectByName("attackAndArmorStats").tooltip = attack + "\n[font=\"serif-bold-13\"]Armor:[/font] " + armorTypeDetails(entState.armour);
 
 	// Icon Tooltip
 	var iconTooltip = "";
@@ -247,11 +247,11 @@
 	if (template.tooltip)
 		iconTooltip += "\n[font=\"serif-13\"]" + template.tooltip + "[/font]";
 
-	getGUIObjectByName("iconBorder").tooltip = iconTooltip;
+	Engine.GetGUIObjectByName("iconBorder").tooltip = iconTooltip;
 
 	// Unhide Details Area
-	getGUIObjectByName("detailsAreaSingle").hidden = false;
-	getGUIObjectByName("detailsAreaMultiple").hidden = true;
+	Engine.GetGUIObjectByName("detailsAreaSingle").hidden = false;
+	Engine.GetGUIObjectByName("detailsAreaMultiple").hidden = true;
 }
 
 // Fills out information for multiple entities
@@ -275,45 +275,45 @@
 
 	if (averageHealth > 0)
 	{
-		var unitHealthBar = getGUIObjectByName("healthBarMultiple");
+		var unitHealthBar = Engine.GetGUIObjectByName("healthBarMultiple");
 		var healthSize = unitHealthBar.size;	
 		healthSize.rtop = 100-100*Math.max(0, Math.min(1, averageHealth / maxHealth));
 		unitHealthBar.size = healthSize;
 
 		var hitpoints = "[font=\"serif-bold-13\"]Hitpoints [/font]" + averageHealth + " / " + maxHealth;
-		var healthMultiple = getGUIObjectByName("healthMultiple");
+		var healthMultiple = Engine.GetGUIObjectByName("healthMultiple");
 		healthMultiple.tooltip = hitpoints;
 		healthMultiple.hidden = false;
 	}
 	else
 	{
-		getGUIObjectByName("healthMultiple").hidden = true;
+		Engine.GetGUIObjectByName("healthMultiple").hidden = true;
 	}
 	
 	// TODO: Stamina
-	// getGUIObjectByName("staminaBarMultiple");
+	// Engine.GetGUIObjectByName("staminaBarMultiple");
 
-	getGUIObjectByName("numberOfUnits").caption = selection.length;
+	Engine.GetGUIObjectByName("numberOfUnits").caption = selection.length;
 
 	// Unhide Details Area
-	getGUIObjectByName("detailsAreaMultiple").hidden = false;
-	getGUIObjectByName("detailsAreaSingle").hidden = true;
+	Engine.GetGUIObjectByName("detailsAreaMultiple").hidden = false;
+	Engine.GetGUIObjectByName("detailsAreaSingle").hidden = true;
 }
 
 // Updates middle entity Selection Details Panel
 function updateSelectionDetails()
 {
-	var supplementalDetailsPanel = getGUIObjectByName("supplementalSelectionDetails");
-	var detailsPanel = getGUIObjectByName("selectionDetails");
-	var commandsPanel = getGUIObjectByName("unitCommands");
+	var supplementalDetailsPanel = Engine.GetGUIObjectByName("supplementalSelectionDetails");
+	var detailsPanel = Engine.GetGUIObjectByName("selectionDetails");
+	var commandsPanel = Engine.GetGUIObjectByName("unitCommands");
 
 	g_Selection.update();
 	var selection = g_Selection.toList();
 	
 	if (selection.length == 0)
 	{
-		getGUIObjectByName("detailsAreaMultiple").hidden = true;
-		getGUIObjectByName("detailsAreaSingle").hidden = true;
+		Engine.GetGUIObjectByName("detailsAreaMultiple").hidden = true;
+		Engine.GetGUIObjectByName("detailsAreaSingle").hidden = true;
 		hideUnitCommands();
 	
 		supplementalDetailsPanel.hidden = true;
Index: binaries/data/mods/public/gui/splashscreen/splashscreen.js
===================================================================
--- binaries/data/mods/public/gui/splashscreen/splashscreen.js	(Revision 14461)
+++ binaries/data/mods/public/gui/splashscreen/splashscreen.js	(Arbeitskopie)
@@ -1,4 +1,6 @@
 function init(data)
 {
-	getGUIObjectByName("mainText").caption = readFile("gui/splashscreen/" + data.page + ".txt");
+	Engine.GetGUIObjectByName("mainText").caption = Engine.ReadFile("gui/splashscreen/" + data.page + ".txt");
+
 }
+
Index: binaries/data/mods/public/gui/lobby/lobby.js
===================================================================
--- binaries/data/mods/public/gui/lobby/lobby.js	(Revision 14461)
+++ binaries/data/mods/public/gui/lobby/lobby.js	(Arbeitskopie)
@@ -21,15 +21,15 @@
 	g_mapSizes.shortNames.splice(0, 0, "Any");
 	g_mapSizes.tiles.splice(0, 0, "");
 
-	var mapSizeFilter = getGUIObjectByName("mapSizeFilter");
+	var mapSizeFilter = Engine.GetGUIObjectByName("mapSizeFilter");
 	mapSizeFilter.list = g_mapSizes.shortNames;
 	mapSizeFilter.list_data = g_mapSizes.tiles;
 
-	var playersNumberFilter = getGUIObjectByName("playersNumberFilter");
+	var playersNumberFilter = Engine.GetGUIObjectByName("playersNumberFilter");
 	playersNumberFilter.list = ["Any",2,3,4,5,6,7,8];
 	playersNumberFilter.list_data = ["",2,3,4,5,6,7,8];
 
-	var mapTypeFilter = getGUIObjectByName("mapTypeFilter");
+	var mapTypeFilter = Engine.GetGUIObjectByName("mapTypeFilter");
 	mapTypeFilter.list = ["Any", "Skirmish", "Random", "Scenario"];
 	mapTypeFilter.list_data = ["", "skirmish", "random", "scenario"];
 
@@ -70,16 +70,16 @@
 function resetFilters()
 {
 	// Reset states of gui objects
-	getGUIObjectByName("mapSizeFilter").selected = 0
-	getGUIObjectByName("playersNumberFilter").selected = 0;
-	getGUIObjectByName("mapTypeFilter").selected = 0;
-	getGUIObjectByName("showFullFilter").checked = true;
+	Engine.GetGUIObjectByName("mapSizeFilter").selected = 0
+	Engine.GetGUIObjectByName("playersNumberFilter").selected = 0;
+	Engine.GetGUIObjectByName("mapTypeFilter").selected = 0;
+	Engine.GetGUIObjectByName("showFullFilter").checked = true;
 
 	// Update the list of games
 	updateGameList();
 
 	// Update info box about the game currently selected
-	selectGame(getGUIObjectByName("gamesBox").selected);
+	selectGame(Engine.GetGUIObjectByName("gamesBox").selected);
 }
 
 function applyFilters()
@@ -88,7 +88,7 @@
 	updateGameList();
 
 	// Update info box about the game currently selected
-	selectGame(getGUIObjectByName("gamesBox").selected);
+	selectGame(Engine.GetGUIObjectByName("gamesBox").selected);
 }
 
 function displayGame(g, mapSizeFilter, playersNumberFilter, mapTypeFilter, showFullFilter)
@@ -108,7 +108,7 @@
 // Do a full update of the player listing **Only call on init**
 function updatePlayerList()
 {
-	var playersBox = getGUIObjectByName("playersBox");
+	var playersBox = Engine.GetGUIObjectByName("playersBox");
 	[playerList, presenceList, nickList] = [[],[],[]];
 	for each (var p in Engine.GetPlayerList())
 	{
@@ -131,7 +131,7 @@
 	// Get list from C++
 	var boardList = Engine.GetBoardList();
 	// Get GUI leaderboard object
-	var leaderboard = getGUIObjectByName("leaderboardBox");
+	var leaderboard = Engine.GetGUIObjectByName("leaderboardBox");
 	// Sort list in acending order by rating
 	boardList.sort(function(a, b) b.rating - a.rating);
 
@@ -161,7 +161,7 @@
 // Update game listing
 function updateGameList()
 {
-	var gamesBox = getGUIObjectByName("gamesBox");
+	var gamesBox = Engine.GetGUIObjectByName("gamesBox");
 	var gameList = Engine.GetGameList();
 	// Store the game whole game list data so that we can access it later
 	// to update the game info panel.
@@ -181,10 +181,10 @@
 	var list = [];
 	var list_data = [];
 
-	var mapSizeFilterDD = getGUIObjectByName("mapSizeFilter");
-	var playersNumberFilterDD = getGUIObjectByName("playersNumberFilter");
-	var mapTypeFilterDD = getGUIObjectByName("mapTypeFilter");
-	var showFullFilterCB = getGUIObjectByName("showFullFilter");
+	var mapSizeFilterDD = Engine.GetGUIObjectByName("mapSizeFilter");
+	var playersNumberFilterDD = Engine.GetGUIObjectByName("playersNumberFilter");
+	var mapTypeFilterDD = Engine.GetGUIObjectByName("mapTypeFilter");
+	var showFullFilterCB = Engine.GetGUIObjectByName("showFullFilter");
 
 	// Get filter values
 	var mapSizeFilter = mapSizeFilterDD.selected >= 0 ? mapSizeFilterDD.list_data[mapSizeFilterDD.selected] : "";
@@ -224,8 +224,8 @@
 		gamesBox.selected = -1;
 
 	// If game selected, update info box about the game.
-	if(getGUIObjectByName("gamesBox").selected != -1)
-		selectGame(getGUIObjectByName("gamesBox").selected)
+	if(Engine.GetGUIObjectByName("gamesBox").selected != -1)
+		selectGame(Engine.GetGUIObjectByName("gamesBox").selected)
 }
 
 // The following function colorizes and formats the entries in the player list.
@@ -267,37 +267,37 @@
 	if (selected == -1)
 	{
 		// Hide the game info panel if a game is not selected
-		getGUIObjectByName("gameInfo").hidden = true;
-		getGUIObjectByName("gameInfoEmpty").hidden = false;
-		getGUIObjectByName("joinGameButton").hidden = true;
+		Engine.GetGUIObjectByName("gameInfo").hidden = true;
+		Engine.GetGUIObjectByName("gameInfoEmpty").hidden = false;
+		Engine.GetGUIObjectByName("joinGameButton").hidden = true;
 		return;
 	}
 
 	var mapData;
-	var g = getGUIObjectByName("gamesBox").list_data[selected];
+	var g = Engine.GetGUIObjectByName("gamesBox").list_data[selected];
 
 	// Load map data
 	if (g_GameList[g].mapType == "random" && g_GameList[g].mapName == "random")
 		mapData = {"settings": {"Description": "A randomly selected map."}};
-	else if (g_GameList[g].mapType == "random" && fileExists(g_GameList[g].mapName + ".json"))
+	else if (g_GameList[g].mapType == "random" && Engine.FileExists(g_GameList[g].mapName + ".json"))
 		mapData = parseJSONData(g_GameList[g].mapName + ".json");
-	else if (fileExists(g_GameList[g].mapName + ".xml"))
+	else if (Engine.FileExists(g_GameList[g].mapName + ".xml"))
 		mapData = Engine.LoadMapSettings(g_GameList[g].mapName + ".xml");
 	else
 		// Warn the player if we can't find the map. 
 		warn("Map '"+ g_GameList[g].mapName +"'  not found");
 
 	// Show the game info paneland join button.
-	getGUIObjectByName("gameInfo").hidden = false;
-	getGUIObjectByName("gameInfoEmpty").hidden = true;
-	getGUIObjectByName("joinGameButton").hidden = false;
+	Engine.GetGUIObjectByName("gameInfo").hidden = false;
+	Engine.GetGUIObjectByName("gameInfoEmpty").hidden = true;
+	Engine.GetGUIObjectByName("joinGameButton").hidden = false;
 
 	// Display the map name, number of players, the names of the players, the map size and the map type.
-	getGUIObjectByName("sgMapName").caption = g_GameList[g].niceMapName;
-	getGUIObjectByName("sgNbPlayers").caption = g_GameList[g].nbp + "/" + g_GameList[g].tnbp;
-	getGUIObjectByName("sgPlayersNames").caption = g_GameList[g].players;
-	getGUIObjectByName("sgMapSize").caption = g_GameList[g].mapSize.split("(")[0];
-	getGUIObjectByName("sgMapType").caption = toTitleCase(g_GameList[g].mapType);
+	Engine.GetGUIObjectByName("sgMapName").caption = g_GameList[g].niceMapName;
+	Engine.GetGUIObjectByName("sgNbPlayers").caption = g_GameList[g].nbp + "/" + g_GameList[g].tnbp;
+	Engine.GetGUIObjectByName("sgPlayersNames").caption = g_GameList[g].players;
+	Engine.GetGUIObjectByName("sgMapSize").caption = g_GameList[g].mapSize.split("(")[0];
+	Engine.GetGUIObjectByName("sgMapType").caption = toTitleCase(g_GameList[g].mapType);
 
 	// Display map description if it exists, otherwise display a placeholder.
 	if (mapData && mapData.settings.Description)
@@ -311,13 +311,13 @@
 	else
 		var mapPreview = "nopreview.png";
 	
-	getGUIObjectByName("sgMapDescription").caption = mapDescription;
-	getGUIObjectByName("sgMapPreview").sprite = "cropped:(0.7812,0.5859)session/icons/mappreview/" + mapPreview;
+	Engine.GetGUIObjectByName("sgMapDescription").caption = mapDescription;
+	Engine.GetGUIObjectByName("sgMapPreview").sprite = "cropped:(0.7812,0.5859)session/icons/mappreview/" + mapPreview;
 }
 
 function joinSelectedGame()
 {
-	var gamesBox = getGUIObjectByName("gamesBox");
+	var gamesBox = Engine.GetGUIObjectByName("gamesBox");
 	if (gamesBox.selected >= 0)
 	{
 		var g = gamesBox.list_data[gamesBox.selected];
@@ -377,7 +377,7 @@
 		case "muc":
 			var nick = message.text;
 			var presence = Engine.LobbyGetPlayerPresence(nick);
-			var playersBox = getGUIObjectByName("playersBox");
+			var playersBox = Engine.GetGUIObjectByName("playersBox");
 			var playerList = playersBox.list_name;
 			var presenceList = playersBox.list_status;
 			var nickList = playersBox.list;
@@ -449,11 +449,11 @@
 					updateBoardList();
 					updatePlayerList();
 					// Disable the 'host' button
-					getGUIObjectByName("hostButton").enabled = false;
+					Engine.GetGUIObjectByName("hostButton").enabled = false;
 				}
 				else if (message.text == "connected")
 				{
-					getGUIObjectByName("hostButton").enabled = true;
+					Engine.GetGUIObjectByName("hostButton").enabled = true;
 				}
 				break;
 			case "error":
@@ -481,7 +481,7 @@
 /* Messages */
 function submitChatInput()
 {
-	var input = getGUIObjectByName("chatInput");
+	var input = Engine.GetGUIObjectByName("chatInput");
 	var text = escapeText(input.caption);
 	if (text.length)
 	{
@@ -493,7 +493,7 @@
 
 function completeNick()
 {
-	var input = getGUIObjectByName("chatInput");
+	var input = Engine.GetGUIObjectByName("chatInput");
 	var text = escapeText(input.caption);
 	if (text.length)
 	{
@@ -584,7 +584,7 @@
 	if (formatted)
 	{
 		g_ChatMessages.push(formatted);
-		getGUIObjectByName("chatText").caption = g_ChatMessages.join("\n");
+		Engine.GetGUIObjectByName("chatText").caption = g_ChatMessages.join("\n");
 	}
 }
 
Index: binaries/data/mods/public/gui/lobby/prelobby.js
===================================================================
--- binaries/data/mods/public/gui/lobby/prelobby.js	(Revision 14461)
+++ binaries/data/mods/public/gui/lobby/prelobby.js	(Arbeitskopie)
@@ -9,7 +9,7 @@
 
 function lobbyStop()
 {
-	getGUIObjectByName("feedback").caption = "";
+	Engine.GetGUIObjectByName("feedback").caption = "";
 
 	if (g_LobbyIsConnecting == false)
 		return;
@@ -26,9 +26,9 @@
 	if (Engine.HasXmppClient())
 		Engine.StopXmppClient();
 
-	var username = getGUIObjectByName("connectUsername").caption;
-	var password = getGUIObjectByName("connectPassword").caption;
-	var feedback = getGUIObjectByName("feedback");
+	var username = Engine.GetGUIObjectByName("connectUsername").caption;
+	var password = Engine.GetGUIObjectByName("connectPassword").caption;
+	var feedback = Engine.GetGUIObjectByName("feedback");
 	var room = Engine.ConfigDB_GetValue("user", "lobby.room");
 
 	feedback.caption = "Connecting....";
@@ -49,17 +49,17 @@
 	if (Engine.HasXmppClient())
 		Engine.StopXmppClient();
 
-	var account = getGUIObjectByName("connectUsername").caption;
-	var password = getGUIObjectByName("connectPassword").caption;
-	var passwordAgain = getGUIObjectByName("registerPasswordAgain").caption;
-	var feedback = getGUIObjectByName("feedback");
+	var account = Engine.GetGUIObjectByName("connectUsername").caption;
+	var password = Engine.GetGUIObjectByName("connectPassword").caption;
+	var passwordAgain = Engine.GetGUIObjectByName("registerPasswordAgain").caption;
+	var feedback = Engine.GetGUIObjectByName("feedback");
 
 	// Check the passwords match.
 	if (password != passwordAgain)
 	{
 		feedback.caption = "Passwords do not match";
-		getGUIObjectByName("connectPassword").caption = "";
-		getGUIObjectByName("registerPasswordAgain").caption = "";
+		Engine.GetGUIObjectByName("connectPassword").caption = "";
+		Engine.GetGUIObjectByName("registerPasswordAgain").caption = "";
 		switchRegister();
 		return;
 	}
@@ -74,31 +74,31 @@
 
 function switchRegister()
 {
-	if (getGUIObjectByName("pageRegister").hidden)
+	if (Engine.GetGUIObjectByName("pageRegister").hidden)
 	{
 		lobbyStop();
-		getGUIObjectByName("pageRegister").hidden = false;
-		getGUIObjectByName("pageConnect").hidden = true;
-		getGUIObjectByName("connect").enabled = false;
+		Engine.GetGUIObjectByName("pageRegister").hidden = false;
+		Engine.GetGUIObjectByName("pageConnect").hidden = true;
+		Engine.GetGUIObjectByName("connect").enabled = false;
 	}
 	else
 	{
-		getGUIObjectByName("pageRegister").hidden = true;
-		getGUIObjectByName("pageConnect").hidden = false;
-		getGUIObjectByName("connect").enabled = true;
+		Engine.GetGUIObjectByName("pageRegister").hidden = true;
+		Engine.GetGUIObjectByName("pageConnect").hidden = false;
+		Engine.GetGUIObjectByName("connect").enabled = true;
 	}
 }
 
 function onTick()
 {
 	//
-	var username = getGUIObjectByName("connectUsername").caption;
-	var password = getGUIObjectByName("connectPassword").caption;
-	var passwordAgain = getGUIObjectByName("registerPasswordAgain").caption;
-	var feedback = getGUIObjectByName("feedback");
-	var pageRegisterHidden = getGUIObjectByName("pageRegister").hidden;
-	var connectButton = getGUIObjectByName("connect");
-	var registerButton = getGUIObjectByName("register"); 
+	var username = Engine.GetGUIObjectByName("connectUsername").caption;
+	var password = Engine.GetGUIObjectByName("connectPassword").caption;
+	var passwordAgain = Engine.GetGUIObjectByName("registerPasswordAgain").caption;
+	var feedback = Engine.GetGUIObjectByName("feedback");
+	var pageRegisterHidden = Engine.GetGUIObjectByName("pageRegister").hidden;
+	var connectButton = Engine.GetGUIObjectByName("connect");
+	var registerButton = Engine.GetGUIObjectByName("register"); 
 	var sanitizedName = sanitizePlayerName(username, true, true)
 	// If there aren't a username and password entered, we can't start registration or connection.
 	if (!username || !password)
